# Asterisk Project : Asterisk 12 Application_AddQueueMember

Added by wikibot , edited by wikibot on Aug 29, 2013

# AddQueueMember()

### Synopsis

Dynamically adds queue members.

### Description

Dynamically adds interface to an existing queue. If the interface is already in the queue it will return an error.

This application sets the following channel variable upon completion:

- `AQMSTATUS` - The status of the attempt to add a queue member as a text string.
  - ADDED
  - MEMBERALREADY
  - NOSUCHQUEUE

### Syntax

    AddQueueMember(queuename,interface,penalty,options,membername,stateinterface)

##### Arguments

- `queuename`
- `interface`
- `penalty`
- `options`
- `membername`
- `stateinterface`

### See Also

- Asterisk 12 Application_Queue
- Asterisk 12 Application_QueueLog
- Asterisk 12 Application_AddQueueMember
- Asterisk 12 Application_RemoveQueueMember
- Asterisk 12 Application_PauseQueueMember
- Asterisk 12 Application_UnpauseQueueMember
- Asterisk 12 Function_QUEUE_VARIABLES
- Asterisk 12 Function_QUEUE_MEMBER
- Asterisk 12 Function_QUEUE_MEMBER_COUNT
- Asterisk 12 Function_QUEUE_EXISTS
- Asterisk 12 Function_QUEUE_WAITING_COUNT
- Asterisk 12 Function_QUEUE_MEMBER_LIST
- Asterisk 12 Function_QUEUE_MEMBER_PENALTY

### Import Version

This documentation was imported from Asterisk Version Unknown